#!/bin/sh
if test "$1" = ""
then echo "Please enter input file name (e.g., Conserved_Family_Info.txt)."
     read file
else file=$1
fi

### Below: to chop the input into pieces of ~15,000 lines each (seems to be an optimum in terms of speed on my desktop)
#grep -v '^miR Family' $file | sed -e 's|\t| |g' -e 's|\([a-zA-Z0-9-]*\) ast |\1 Ast |' -e 's|\([a-zA-Z0-9-]*\) c(3)G |\1 C3G |' -e 's|\([a-zA-Z0-9-]*\) caps |\1 Caps |' -e 's|\([a-zA-Z0-9-]*\) d |\1 D |' -e 's|\([a-zA-Z0-9-]*\) dl |\1 Dl |' -e 's|\([a-zA-Z0-9-]*\) gl |\1 Gl |' -e 's|\([a-zA-Z0-9-]*\) h |\1 H |' -e 's|\([a-zA-Z0-9-]*\) hop |\1 Hop |' -e 's|\([a-zA-Z0-9-]*\) m6 |\1 M6 |' -e 's|\([a-zA-Z0-9-]*\) nos |\1 Nos |' -e 's|\([a-zA-Z0-9-]*\) r |\1 R | ' -e 's|\([a-zA-Z0-9-]*\) side |\1 Side |' -e 's|\([a-zA-Z0-9-]*\) trh |\1 Trh |' -e 's|\([a-zA-Z0-9-]*\) trn |\1 Trn |' | sort > edited_$file #This is to correct for inconsistencies in lower/upper case conventions in TargetScan files
./Module_chops_input.pl edited_$file 15000

### Below: for each miRNA binding site, list the species that have it
for f in `ls slice_*'_edited_'$file`
do ./Module_seed_match_conservation_Drosophilids.pl $f
done > Seed_match_conservation_in_$file

### Below: selection of the miRNAs (not miRNA*s [there should be one, though: miR-184*], because they are not considered by TargetScan 6) that are conserved in at least 10 out of 12 Drosophilids (hence they preceded the Sophophora/Drosophila divergence) (there are 68 of them in miRBase v18, dated November 2011), then selection of their predicted target sites
for species in dme dsi dse dya der dan dps dpe dwi dmo dvi dgr
do grep '^>'$species'-' matureNov11.fa | sed -e 's|^>'$species'-||' -e 's| .*||'
done | sort | uniq -c | grep '^ *1[0-2] ' | awk '{print $2}' | grep -v '\*$' > conserved_miRs
for miR in `cat conserved_miRs`
do grep -P '^\S* '$miR' ' Seed_match_conservation_in_$file
done > Seed_match_conservation_for_conserved_miRs_in_$file
